<?php

declare(strict_types=1);

namespace Dedi\SyliusMessengerMonitorPlugin\Event;

use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;
use Symfony\Bundle\SecurityBundle\Security;

class AdminMenuListener
{
    public function __construct(private Security $security)
    {
    }

    public function __invoke(MenuBuilderEvent $event): void
    {
        if (!$this->security->isGranted('ROLE_SUPER_ADMIN')) {
            return;
        }

        $menu = $event->getMenu();

        $menu->getChild('configuration')
            ->addChild('messenger_monitor', [
                'route' => 'zenstruck_messenger_monitor_dashboard',
            ])
            ->setLabel('dedi_sylius_messenger_monitor_plugin.ui.messenger_monitor')
            ->setLabelAttribute('icon', 'database')
            ->setLinkAttribute('target', '_blank');
    }
}
